Configure OIDC for External Access
Owner-only endpoint to configure runtime OIDC after setup is complete. Performs provider discovery and stores issuer/client settings.
Operation ID
configure_external_access_oidcOwner-only endpoint to configure runtime OIDC after setup is complete. Performs provider discovery and stores issuer/client settings.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/settings/external-access/oidc" \ -H "Content-Type: application/json" \ -d '{ "client_id": "string", "issuer_url": "string" }'{ "configured_at": 0, "discovered_issuer": "string", "has_client_secret": true}